diff --git a/gcc/c/c-parser.c b/gcc/c/c-parser.c
index d0d35c5..c246c75 100644
--- a/gcc/c/c-parser.c
+++ b/gcc/c/c-parser.c
@@ -81,7 +81,7 @@ c_parse_init (void)
   mask |= D_CXXONLY;
   if (!flag_isoc99)
     mask |= D_C99;
-  if (flag_no_asm)
+  if (GCC_OPTION (flag_no_asm))
     {
       mask |= D_ASM | D_EXT;
       if (!flag_isoc99)
@@ -97,7 +97,7 @@ c_parse_init (void)
 	 and so create a canonical spelling that isn't a keyword.  */
       if (c_common_reswords[i].disable & mask)
 	{
-	  if (warn_cxx_compat
+	  if (GCC_OPTION (warn_cxx_compat)
 	      && (c_common_reswords[i].disable & D_CXXWARN))
 	    {
 	      id = get_identifier (c_common_reswords[i].word);
@@ -1065,20 +1065,20 @@ extern cpp_options *cpp_opts;
 static inline int
 disable_extension_diagnostics (void)
 {
-  int ret = (pedantic
-	     | (warn_pointer_arith << 1)
-	     | (warn_traditional << 2)
+  int ret = (GCC_OPTION (pedantic)
+	     | (GCC_OPTION (warn_pointer_arith) << 1)
+	     | (GCC_OPTION (warn_traditional) << 2)
 	     | (flag_iso << 3)
-	     | (warn_long_long << 4)
-	     | (warn_cxx_compat << 5)
-	     | (warn_overlength_strings << 6));
-  cpp_opts->cpp_pedantic = pedantic = 0;
-  warn_pointer_arith = 0;
-  cpp_opts->cpp_warn_traditional = warn_traditional = 0;
+	     | (GCC_OPTION (warn_long_long) << 4)
+	     | (GCC_OPTION (warn_cxx_compat) << 5)
+	     | (GCC_OPTION (warn_overlength_strings) << 6));
+  cpp_opts->cpp_pedantic = GCC_OPTION (pedantic) = 0;
+  GCC_OPTION (warn_pointer_arith) = 0;
+  cpp_opts->cpp_warn_traditional = GCC_OPTION (warn_traditional) = 0;
   flag_iso = 0;
-  cpp_opts->cpp_warn_long_long = warn_long_long = 0;
-  warn_cxx_compat = 0;
-  warn_overlength_strings = 0;
+  cpp_opts->cpp_warn_long_long = GCC_OPTION (warn_long_long) = 0;
+  GCC_OPTION (warn_cxx_compat) = 0;
+  GCC_OPTION (warn_overlength_strings) = 0;
   return ret;
 }
 
@@ -1088,13 +1088,13 @@ disable_extension_diagnostics (void)
 static inline void
 restore_extension_diagnostics (int flags)
 {
-  cpp_opts->cpp_pedantic = pedantic = flags & 1;
-  warn_pointer_arith = (flags >> 1) & 1;
-  cpp_opts->cpp_warn_traditional = warn_traditional = (flags >> 2) & 1;
+  cpp_opts->cpp_pedantic = GCC_OPTION (pedantic) = flags & 1;
+  GCC_OPTION (warn_pointer_arith) = (flags >> 1) & 1;
+  cpp_opts->cpp_warn_traditional = GCC_OPTION (warn_traditional) = (flags >> 2) & 1;
   flag_iso = (flags >> 3) & 1;
-  cpp_opts->cpp_warn_long_long = warn_long_long = (flags >> 4) & 1;
-  warn_cxx_compat = (flags >> 5) & 1;
-  warn_overlength_strings = (flags >> 6) & 1;
+  cpp_opts->cpp_warn_long_long = GCC_OPTION (warn_long_long) = (flags >> 4) & 1;
+  GCC_OPTION (warn_cxx_compat) = (flags >> 5) & 1;
+  GCC_OPTION (warn_overlength_strings) = (flags >> 6) & 1;
 }
 
 /* Possibly kinds of declarator to parse.  */
@@ -1919,7 +1919,7 @@ c_parser_declaration_or_fndef (c_parser *parser, bool fndef_ok,
       DECL_STRUCT_FUNCTION (current_function_decl)->function_start_locus
 	= c_parser_peek_token (parser)->location;
       fnbody = c_parser_compound_statement (parser);
-      if (flag_cilkplus && contains_array_notation_expr (fnbody))
+      if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (fnbody))
 	fnbody = expand_array_notation_exprs (fnbody);
       if (nested)
 	{
@@ -2363,7 +2363,7 @@ c_parser_declspecs (c_parser *parser, struct c_declspecs *specs,
 	    sorry ("%<_Atomic%> in Objective-C");
 	  /* C parser handling of OpenMP constructs needs checking for
 	     correct lvalue-to-rvalue conversions.  */
-	  if (flag_openmp)
+	  if (GCC_OPTION (flag_openmp))
 	    sorry ("%<_Atomic%> with OpenMP");
 	  if (!flag_isoc11)
 	    {
@@ -2569,7 +2569,7 @@ c_parser_enum_specifier (c_parser *parser)
   ret = parser_xref_tag (ident_loc, ENUMERAL_TYPE, ident);
   /* In ISO C, enumerated types can be referred to only if already
      defined.  */
-  if (pedantic && !COMPLETE_TYPE_P (ret.spec))
+  if (GCC_OPTION (pedantic) && !COMPLETE_TYPE_P (ret.spec))
     {
       gcc_assert (ident);
       pedwarn (enum_loc, OPT_Wpedantic,
@@ -2853,7 +2853,7 @@ c_parser_struct_declaration (c_parser *parser)
 	{
 	  pedwarn (decl_loc, OPT_Wpedantic,
 		   "ISO C forbids member declarations with no members");
-	  shadow_tag_warned (specs, pedantic);
+	  shadow_tag_warned (specs, GCC_OPTION (pedantic));
 	  ret = NULL_TREE;
 	}
       else
@@ -3340,7 +3340,7 @@ c_parser_direct_declarator_inner (c_parser *parser, bool id_present,
 	      dimen.value = NULL_TREE;
 	      star_seen = false;
 	    }
-	  else if (flag_cilkplus
+	  else if (GCC_OPTION (flag_cilkplus)
 		   && c_parser_next_token_is (parser, CPP_COLON))
 	    {
 	      dimen.value = error_mark_node;
@@ -3371,7 +3371,7 @@ c_parser_direct_declarator_inner (c_parser *parser, bool id_present,
 	}
       if (c_parser_next_token_is (parser, CPP_CLOSE_SQUARE))
 	c_parser_consume_token (parser);
-      else if (flag_cilkplus
+      else if (GCC_OPTION (flag_cilkplus)
 	       && c_parser_next_token_is (parser, CPP_COLON))
 	{
 	  error_at (c_parser_peek_token (parser)->location,
@@ -3504,7 +3504,7 @@ c_parser_parms_list_declarator (c_parser *parser, tree attrs, tree expr)
     {
       struct c_arg_info *ret = build_arg_info ();
 
-      if (flag_allow_parameterless_variadic_functions)
+      if (GCC_OPTION (flag_allow_parameterless_variadic_functions))
         {
           /* F (...) is allowed.  */
           ret->types = NULL_TREE;
@@ -3660,8 +3660,8 @@ static tree
 c_parser_asm_string_literal (c_parser *parser)
 {
   tree str;
-  int save_flag = warn_overlength_strings;
-  warn_overlength_strings = 0;
+  int save_flag = GCC_OPTION (warn_overlength_strings);
+  GCC_OPTION (warn_overlength_strings) = 0;
   if (c_parser_next_token_is (parser, CPP_STRING))
     {
       str = c_parser_peek_token (parser)->value;
@@ -3679,7 +3679,7 @@ c_parser_asm_string_literal (c_parser *parser)
       c_parser_error (parser, "expected string literal");
       str = NULL_TREE;
     }
-  warn_overlength_strings = save_flag;
+  GCC_OPTION (warn_overlength_strings) = save_flag;
   return str;
 }
 
@@ -3783,7 +3783,7 @@ c_parser_attribute_any_word (c_parser *parser)
 static inline bool
 is_cilkplus_vector_p (tree name)
 { 
-  if (flag_cilkplus && is_attribute_p ("vector", name)) 
+  if (GCC_OPTION (flag_cilkplus) && is_attribute_p ("vector", name)) 
     return true;
   return false;
 }
@@ -4009,7 +4009,7 @@ c_parser_attributes (c_parser *parser)
       parser->lex_untranslated_string = false;
     }
 
-  if (flag_cilkplus && !vec_safe_is_empty (parser->cilk_simd_fn_tokens))
+  if (GCC_OPTION (flag_cilkplus) && !vec_safe_is_empty (parser->cilk_simd_fn_tokens))
     c_finish_cilk_simd_fn_tokens (parser);
   return attrs;
 }
@@ -4461,7 +4461,7 @@ c_parser_compound_statement (c_parser *parser)
   c_parser_compound_statement_nostart (parser);
 
   /* If the compound stmt contains array notations, then we expand them.  */
-  if (flag_cilkplus && contains_array_notation_expr (stmt))
+  if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (stmt))
     stmt = expand_array_notation_exprs (stmt);
   return c_end_compound_stmt (brace_loc, stmt, true);
 }
@@ -4550,7 +4550,7 @@ c_parser_compound_statement_nostart (c_parser *parser)
 					 true, NULL, vNULL);
 	  if (last_stmt)
 	    pedwarn_c90 (loc,
-			 (pedantic && !flag_isoc99)
+			 (GCC_OPTION (pedantic) && !flag_isoc99)
 			 ? OPT_Wpedantic
 			 : OPT_Wdeclaration_after_statement,
 			 "ISO C90 forbids mixed declarations and code");
@@ -4580,7 +4580,7 @@ c_parser_compound_statement_nostart (c_parser *parser)
 		 disable this diagnostic.  */
 	      restore_extension_diagnostics (ext);
 	      if (last_stmt)
-		pedwarn_c90 (loc, (pedantic && !flag_isoc99)
+		pedwarn_c90 (loc, (GCC_OPTION (pedantic) && !flag_isoc99)
 			     ? OPT_Wpedantic
 			     : OPT_Wdeclaration_after_statement,
 			     "ISO C90 forbids mixed declarations and code");
@@ -4881,7 +4881,7 @@ c_parser_statement_after_labels (c_parser *parser)
 	case RID_CILK_SYNC:
 	  c_parser_consume_token (parser);
 	  c_parser_skip_until_found (parser, CPP_SEMICOLON, "expected %<;%>");
-	  if (!flag_cilkplus) 
+	  if (!GCC_OPTION (flag_cilkplus)) 
 	    error_at (loc, "-fcilkplus must be enabled to use %<_Cilk_sync%>");
 	  else 
 	    add_stmt (build_cilk_sync ());
@@ -5018,7 +5018,7 @@ c_parser_condition (c_parser *parser)
   cond = c_parser_expression_conv (parser).value;
   cond = c_objc_common_truthvalue_conversion (loc, cond);
   cond = c_fully_fold (cond, false, NULL);
-  if (warn_sequence_point)
+  if (GCC_OPTION (warn_sequence_point))
     verify_sequence_points (cond);
   return cond;
 }
@@ -5151,7 +5151,7 @@ c_parser_if_statement (c_parser *parser)
   if_stmt = c_end_compound_stmt (loc, block, flag_isoc99);
 
   /* If the if statement contains array notations, then we expand them.  */
-  if (flag_cilkplus && contains_array_notation_expr (if_stmt))
+  if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (if_stmt))
     if_stmt = fix_conditional_array_notations (if_stmt);
   add_stmt (if_stmt);
 }
@@ -5178,7 +5178,7 @@ c_parser_switch_statement (c_parser *parser)
       ce = c_parser_expression (parser);
       ce = convert_lvalue_to_rvalue (switch_cond_loc, ce, true, false);
       expr = ce.value;
-      if (flag_cilkplus && contains_array_notation_expr (expr))
+      if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (expr))
 	{
 	  error_at (switch_cond_loc,
 		    "array notations cannot be used as a condition for switch "
@@ -5224,7 +5224,7 @@ c_parser_while_statement (c_parser *parser, bool ivdep)
   block = c_begin_compound_stmt (flag_isoc99);
   loc = c_parser_peek_token (parser)->location;
   cond = c_parser_paren_condition (parser);
-  if (flag_cilkplus && contains_array_notation_expr (cond))
+  if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (cond))
     {
       error_at (loc, "array notations cannot be used as a condition for while "
 		"statement");
@@ -5276,7 +5276,7 @@ c_parser_do_statement (c_parser *parser, bool ivdep)
   new_cont = c_cont_label;
   c_cont_label = save_cont;
   cond = c_parser_paren_condition (parser);
-  if (flag_cilkplus && contains_array_notation_expr (cond))
+  if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (cond))
     {
       error_at (loc, "array notations cannot be used as a condition for a "
 		"do-while statement");
@@ -5474,7 +5474,7 @@ c_parser_for_statement (c_parser *parser, bool ivdep)
 	  else
 	    {
 	      cond = c_parser_condition (parser);
-	      if (flag_cilkplus && contains_array_notation_expr (cond))
+	      if (GCC_OPTION (flag_cilkplus) && contains_array_notation_expr (cond))
 		{
 		  error_at (loc, "array notations cannot be used in a "
 			    "condition for a for-loop");
@@ -6370,7 +6370,7 @@ c_parser_unary_expression (c_parser *parser)
       op = c_parser_cast_expression (parser, NULL);
 
       /* If there is array notations in op, we expand them.  */
-      if (flag_cilkplus && TREE_CODE (op.value) == ARRAY_NOTATION_REF)
+      if (GCC_OPTION (flag_cilkplus) && TREE_CODE (op.value) == ARRAY_NOTATION_REF)
 	return fix_array_notation_expr (exp_loc, PREINCREMENT_EXPR, op);
       else
 	{
@@ -6383,7 +6383,7 @@ c_parser_unary_expression (c_parser *parser)
       op = c_parser_cast_expression (parser, NULL);
       
       /* If there is array notations in op, we expand them.  */
-      if (flag_cilkplus && TREE_CODE (op.value) == ARRAY_NOTATION_REF)
+      if (GCC_OPTION (flag_cilkplus) && TREE_CODE (op.value) == ARRAY_NOTATION_REF)
 	return fix_array_notation_expr (exp_loc, PREDECREMENT_EXPR, op);
       else
 	{
@@ -7493,7 +7493,7 @@ c_parser_postfix_expression (c_parser *parser)
 	  break;
 	case RID_CILK_SPAWN:
 	  c_parser_consume_token (parser);
-	  if (!flag_cilkplus)
+	  if (!GCC_OPTION (flag_cilkplus))
 	    {
 	      error_at (loc, "-fcilkplus must be enabled to use "
 			"%<_Cilk_spawn%>");
@@ -7647,7 +7647,7 @@ c_parser_postfix_expression_after_primary (c_parser *parser,
 	case CPP_OPEN_SQUARE:
 	  /* Array reference.  */
 	  c_parser_consume_token (parser);
-	  if (flag_cilkplus
+	  if (GCC_OPTION (flag_cilkplus)
 	      && c_parser_peek_token (parser)->type == CPP_COLON)
 	    /* If we are here, then we have something like this:
 	       Array [ : ]
@@ -7666,7 +7666,7 @@ c_parser_postfix_expression_after_primary (c_parser *parser,
 		 For 2 and 3 we handle it like we handle array notations.  The
 		 idx value we have above becomes the initial/start index.
 	      */
-	      if (flag_cilkplus
+	      if (GCC_OPTION (flag_cilkplus)
 		  && c_parser_peek_token (parser)->type == CPP_COLON)
 		expr.value = c_parser_array_notation (expr_loc, parser, idx, 
 						      expr.value);
@@ -7698,7 +7698,7 @@ c_parser_postfix_expression_after_primary (c_parser *parser,
 				     "expected %<)%>");
 	  orig_expr = expr;
 	  mark_exp_read (expr.value);
-	  if (warn_sizeof_pointer_memaccess)
+	  if (GCC_OPTION (warn_sizeof_pointer_memaccess))
 	    sizeof_pointer_memaccess_warning (sizeof_arg_loc,
 					      expr.value, exprlist,
 					      sizeof_arg,
@@ -7785,7 +7785,7 @@ c_parser_postfix_expression_after_primary (c_parser *parser,
 	  /* Postincrement.  */
 	  c_parser_consume_token (parser);
 	  /* If the expressions have array notations, we expand them.  */
-	  if (flag_cilkplus
+	  if (GCC_OPTION (flag_cilkplus)
 	      && TREE_CODE (expr.value) == ARRAY_NOTATION_REF)
 	    expr = fix_array_notation_expr (expr_loc, POSTINCREMENT_EXPR, expr);
 	  else
@@ -7801,7 +7801,7 @@ c_parser_postfix_expression_after_primary (c_parser *parser,
 	  /* Postdecrement.  */
 	  c_parser_consume_token (parser);
 	  /* If the expressions have array notations, we expand them.  */
-	  if (flag_cilkplus
+	  if (GCC_OPTION (flag_cilkplus)
 	      && TREE_CODE (expr.value) == ARRAY_NOTATION_REF)
 	    expr = fix_array_notation_expr (expr_loc, POSTDECREMENT_EXPR, expr);
 	  else
@@ -9634,7 +9634,7 @@ c_parser_omp_clause_name (c_parser *parser)
 	    result = PRAGMA_OMP_CLAUSE_MAP;
 	  else if (!strcmp ("mergeable", p))
 	    result = PRAGMA_OMP_CLAUSE_MERGEABLE;
-	  else if (flag_cilkplus && !strcmp ("mask", p))
+	  else if (GCC_OPTION (flag_cilkplus) && !strcmp ("mask", p))
 	    result = PRAGMA_CILK_CLAUSE_MASK;
 	  break;
 	case 'n':
@@ -9646,7 +9646,7 @@ c_parser_omp_clause_name (c_parser *parser)
 	    result = PRAGMA_OMP_CLAUSE_NUM_TEAMS;
 	  else if (!strcmp ("num_threads", p))
 	    result = PRAGMA_OMP_CLAUSE_NUM_THREADS;
-	  else if (flag_cilkplus && !strcmp ("nomask", p))
+	  else if (GCC_OPTION (flag_cilkplus) && !strcmp ("nomask", p))
 	    result = PRAGMA_CILK_CLAUSE_NOMASK;
 	  break;
 	case 'o':
@@ -9692,7 +9692,7 @@ c_parser_omp_clause_name (c_parser *parser)
 	    result = PRAGMA_OMP_CLAUSE_UNTIED;
 	  break;
 	case 'v':
-	  if (flag_cilkplus && !strcmp ("vectorlength", p))
+	  if (GCC_OPTION (flag_cilkplus) && !strcmp ("vectorlength", p))
 	    result = PRAGMA_CILK_CLAUSE_VECTORLENGTH;
 	  break;
 	}
@@ -11981,7 +11981,7 @@ c_parser_omp_for (location_t loc, c_parser *parser,
 	    cclauses = cclauses_buf;
 
 	  c_parser_consume_token (parser);
-	  if (!flag_openmp)  /* flag_openmp_simd  */
+	  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	    return c_parser_omp_simd (loc, parser, p_name, mask, cclauses);
 	  block = c_begin_compound_stmt (true);
 	  ret = c_parser_omp_simd (loc, parser, p_name, mask, cclauses);
@@ -11997,7 +11997,7 @@ c_parser_omp_for (location_t loc, c_parser *parser,
 	  return ret;
 	}
     }
-  if (!flag_openmp)  /* flag_openmp_simd  */
+  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
     {
       c_parser_skip_to_pragma_eol (parser);
       return NULL_TREE;
@@ -12204,7 +12204,7 @@ c_parser_omp_parallel (location_t loc, c_parser *parser,
 	cclauses = cclauses_buf;
 
       c_parser_consume_token (parser);
-      if (!flag_openmp)  /* flag_openmp_simd  */
+      if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	return c_parser_omp_for (loc, parser, p_name, mask, cclauses);
       block = c_begin_omp_parallel ();
       c_parser_omp_for (loc, parser, p_name, mask, cclauses);
@@ -12220,7 +12220,7 @@ c_parser_omp_parallel (location_t loc, c_parser *parser,
       c_parser_skip_to_pragma_eol (parser);
       return NULL_TREE;
     }
-  else if (!flag_openmp)  /* flag_openmp_simd  */
+  else if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
     {
       c_parser_skip_to_pragma_eol (parser);
       return NULL_TREE;
@@ -12455,7 +12455,7 @@ c_parser_omp_distribute (location_t loc, c_parser *parser,
 	  if (cclauses == NULL)
 	    cclauses = cclauses_buf;
 	  c_parser_consume_token (parser);
-	  if (!flag_openmp)  /* flag_openmp_simd  */
+	  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	    {
 	      if (simd)
 		return c_parser_omp_simd (loc, parser, p_name, mask, cclauses);
@@ -12480,7 +12480,7 @@ c_parser_omp_distribute (location_t loc, c_parser *parser,
 	  return ret;
 	}
     }
-  if (!flag_openmp)  /* flag_openmp_simd  */
+  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
     {
       c_parser_skip_to_pragma_eol (parser);
       return NULL_TREE;
@@ -12533,7 +12533,7 @@ c_parser_omp_teams (location_t loc, c_parser *parser,
 	    cclauses = cclauses_buf;
 
 	  c_parser_consume_token (parser);
-	  if (!flag_openmp)  /* flag_openmp_simd  */
+	  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	    return c_parser_omp_distribute (loc, parser, p_name, mask, cclauses);
 	  block = c_begin_compound_stmt (true);
 	  ret = c_parser_omp_distribute (loc, parser, p_name, mask, cclauses);
@@ -12548,7 +12548,7 @@ c_parser_omp_teams (location_t loc, c_parser *parser,
 	  return add_stmt (ret);
 	}
     }
-  if (!flag_openmp)  /* flag_openmp_simd  */
+  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
     {
       c_parser_skip_to_pragma_eol (parser);
       return NULL_TREE;
@@ -12672,7 +12672,7 @@ c_parser_omp_target (c_parser *parser, enum pragma_context context)
 
 	  c_parser_consume_token (parser);
 	  strcpy (p_name, "#pragma omp target");
-	  if (!flag_openmp)  /* flag_openmp_simd  */
+	  if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	    return c_parser_omp_teams (loc, parser, p_name,
 				       OMP_TARGET_CLAUSE_MASK, cclauses);
 	  keep_next_level ();
@@ -12689,7 +12689,7 @@ c_parser_omp_target (c_parser *parser, enum pragma_context context)
 	  add_stmt (stmt);
 	  return true;
 	}
-      else if (!flag_openmp)  /* flag_openmp_simd  */
+      else if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	{
 	  c_parser_skip_to_pragma_eol (parser);
 	  return NULL_TREE;
@@ -12858,7 +12858,7 @@ static void
 c_finish_omp_declare_simd (c_parser *parser, tree fndecl, tree parms,
 			   vec<c_token> clauses)
 {
-  if (flag_cilkplus
+  if (GCC_OPTION (flag_cilkplus)
       && clauses.exists () && !vec_safe_is_empty (parser->cilk_simd_fn_tokens))
     {
       error ("%<#pragma omp declare simd%> cannot be used in the same "
@@ -12895,7 +12895,7 @@ c_finish_omp_declare_simd (c_parser *parser, tree fndecl, tree parms,
   gcc_assert (parser->tokens == &parser->tokens_buf[0]);
   bool is_cilkplus_cilk_simd_fn = false;
   
-  if (flag_cilkplus && !vec_safe_is_empty (parser->cilk_simd_fn_tokens))
+  if (GCC_OPTION (flag_cilkplus) && !vec_safe_is_empty (parser->cilk_simd_fn_tokens))
     {
       parser->tokens = parser->cilk_simd_fn_tokens->address ();
       parser->tokens_avail = vec_safe_length (parser->cilk_simd_fn_tokens);
@@ -13372,7 +13372,7 @@ c_parser_omp_declare (c_parser *parser, enum pragma_context context)
 	  c_parser_omp_declare_reduction (parser, context);
 	  return;
 	}
-      if (!flag_openmp)  /* flag_openmp_simd  */
+      if (!GCC_OPTION (flag_openmp))  /* flag_openmp_simd  */
 	{
 	  c_parser_skip_to_pragma_eol (parser);
 	  return;
@@ -13525,7 +13525,7 @@ static bool
 c_parser_cilk_verify_simd (c_parser *parser,
 				  enum pragma_context context)
 {
-  if (!flag_cilkplus)
+  if (!GCC_OPTION (flag_cilkplus))
     {
       warning (0, "pragma simd ignored because -fcilkplus is not enabled");
       c_parser_skip_until_found (parser, CPP_PRAGMA_EOL, NULL);
@@ -13863,7 +13863,7 @@ c_parser_transaction (c_parser *parser, enum rid keyword)
   stmt = c_parser_compound_statement (parser);
   parser->in_transaction = old_in;
 
-  if (flag_tm)
+  if (GCC_OPTION (flag_tm))
     stmt = c_finish_transaction (loc, stmt, this_in);
   else
     error_at (loc, (keyword == RID_TRANSACTION_ATOMIC ?
@@ -13930,7 +13930,7 @@ c_parser_transaction_expression (c_parser *parser, enum rid keyword)
     }
   parser->in_transaction = old_in;
 
-  if (!flag_tm)
+  if (!GCC_OPTION (flag_tm))
     error_at (loc, (keyword == RID_TRANSACTION_ATOMIC ?
 	"%<__transaction_atomic%> without transactional memory support enabled"
 	: "%<__transaction_relaxed %> "
@@ -13961,7 +13961,7 @@ c_parser_transaction_cancel (c_parser *parser)
   if (attrs)
     is_outer = (parse_tm_stmt_attr (attrs, TM_STMT_ATTR_OUTER) != 0);
 
-  if (!flag_tm)
+  if (!GCC_OPTION (flag_tm))
     {
       error_at (loc, "%<__transaction_cancel%> without "
 		"transactional memory support enabled");
@@ -14020,7 +14020,7 @@ c_parse_file (void)
     the_parser->tokens = &the_parser->tokens_buf[0];
 
   /* Initialize EH, if we've been told to do so.  */
-  if (flag_exceptions)
+  if (GCC_OPTION (flag_exceptions))
     using_eh_for_cleanups ();
 
   c_parser_translation_unit (the_parser);
